#[macro_use]
extern crate serde_derive;
#[macro_use]
extern crate failure;
#[macro_use]
extern crate failure_derive;
#[macro_use]
extern crate lazy_static;

lazy_static! {
    pub static ref CONFIG_PATH: String = String::from(".awatch.json");
}

use structopt::StructOpt;

use crate::run_modes::run;
use crate::result::AppResult;

pub mod result;
pub mod config;
pub mod run_modes;
pub mod tty_stuff;
pub mod initialization;

include!("cli.rs");

fn main() -> AppResult<()> {
    let opt: Opt = Opt::from_args();
    run(opt)?;
    Ok(())
}
